*, *:before, *:after {
    box-sizing: border-box;
    outline: none;
  }

  #cardContainer{
    display: flex;
    flex-flow: row wrap;
    justify-content: space-between;
    align-content: space-between;
  }
  
  .card {
    font-family: 'Source Sans Pro', sans-serif;
    font-weight: 300;
    line-height: 1.7;
    color: #444;
    margin-top: 16px;
    margin-bottom: 16px;
  }
  
  div.code{
    background: transparent;
    font-family: "Lucida Console", Monaco, monospace;
  }
  
  .card {
    position: relative;
    width: 275px;
    height: 25rem;
    perspective: 150rem;
  }
  .card-front, .card-back {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
    border-radius: 5px;
    transition: 0.9s cubic-bezier(0.25, 0.8, 0.25, 1);
    backface-visibility: hidden;
    overflow: hidden;
    background: #F6F6F6;
  }
  .card-back {
    transform: rotateX(180deg);
  }
  .card:hover .card-front {
    transform: rotateX(-180deg);
  }
  .card:hover .card-back {
    transform: rotateX(0deg);
  }
  .card div.code{
    width: 100%;
    padding: 0px 32px;
    margin: auto 0px;
    font-size: 14px;
  }
  .card-front {
    font-size: 20px;
  }
  .card div.code {
    color: rgb(0, 0, 0);
  }
  .card .string {
    color: #9ccc65;
  }
  .card .method {
    color: #29b6f6;
  }
  .card .boolean {
    color: #4dd0e1;
  }

  .card-front::before{
    top: -45px;
    right: -45px;
    content: '';
    width: 90px;
    height: 90px;
    background-color: rgba(0, 0, 0, 0.1);
    transform: rotate(45deg);
    z-index: 1;
    position: absolute;
  }
  .card-back::before{
    bottom: -45px;
    right: -45px;
    content: '';
    width: 90px;
    height: 90px;
    background-color: rgba(0, 0, 0, 0.1);
    transform: rotate(-45deg);
    z-index: 1;
    position: absolute;
  }
  .card-front:after{
    top: -2.5px;
    right: 5px;
    font-size: 24px;
    z-index: 2;
    position: absolute;
    font-family: FontAwesome;
    font-weight: normal;
    font-style: normal;
    color: #F6F6F6;
    content: attr(icon-font);
  }
  .card-back:after{
    bottom: -2.5px;
    right: 5px;
    font-size: 24px;
    z-index: 2;
    position: absolute;
    font-family: FontAwesome;
    font-weight: normal;
    font-style: normal;
    color: #F6F6F6;
    content: attr(icon-font);
  }